Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMergeFilter Class Reference

`#include <vtkMergeFilter.h>`

Inheritance diagram for vtkMergeFilter:

[legend]
Collaboration diagram for vtkMergeFilter:

[legend]
List of all members.

## Detailed Description

extract separate components of data from different datasets

Date:
  2002/01/22 15:29:30

Revision:
  1.54

vtkMergeFilter is a filter that extracts separate components of data from different datasets and merges them into a single dataset. The output from this filter is of the same type as the input (i.e., vtkDataSet.) It treats both cell and point data set attributes.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (48%)
  - Martin, Ken (17%)
  - Geveci, Berk (14%)
  - Lorensen, Bill (13%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkMergeFilter.h)`
  - .`cxx` (`/Graphics/vtkMergeFilter.cxx)`

Examples:
  vtkMergeFilter (Examples)

Tests:
  vtkMergeFilter (Tests)

Definition at line 54 of file vtkMergeFilter.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | AddField (const char *name, vtkDataSet *input)
void | SetGeometry (vtkDataSet *input)
vtkDataSet * | GetGeometry ()
void | SetScalars (vtkDataSet *)
vtkDataSet * | GetScalars ()
void | SetVectors (vtkDataSet *)
vtkDataSet * | GetVectors ()
void | SetNormals (vtkDataSet *)
vtkDataSet * | GetNormals ()
void | SetTCoords (vtkDataSet *)
vtkDataSet * | GetTCoords ()
void | SetTensors (vtkDataSet *)
vtkDataSet * | GetTensors ()
## Static Public Methods
vtkMergeFilter * | New ()
int | IsTypeOf (const char *type)
vtkMergeFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMergeFilter ()
| ~vtkMergeFilter ()
void | Execute ()
void | ComputeInputUpdateExtents (vtkDataObject *data)
## Protected Attributes
vtkFieldList * | FieldList

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkMergeFilter::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 58 of file vtkMergeFilter.h.

## Constructor & Destructor Documentation

vtkMergeFilter::vtkMergeFilter | ( |  | ) | `[protected]`

vtkMergeFilter::~vtkMergeFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMergeFilter* vtkMergeFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkMergeFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkMergeFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkMergeFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkMergeFilter* vtkMergeFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkMergeFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

void vtkMergeFilter::SetGeometry | ( | vtkDataSet * | input | ) | `[inline]`

| Specify object from which to extract geometry information. Definition at line 63 of file vtkMergeFilter.h. References vtkDataSetToDataSetFilter::SetInput().

vtkDataSet* vtkMergeFilter::GetGeometry | ( |  | ) | `[inline]`

| Specify object from which to extract geometry information. Definition at line 64 of file vtkMergeFilter.h. References vtkDataSetToDataSetFilter::GetInput().

void vtkMergeFilter::SetScalars | ( | vtkDataSet * |  | ) |

| Specify object from which to extract scalar information.

vtkDataSet* vtkMergeFilter::GetScalars | ( |  | ) |

| Specify object from which to extract scalar information.

void vtkMergeFilter::SetVectors | ( | vtkDataSet * |  | ) |

| Set / get the object from which to extract vector information.

vtkDataSet* vtkMergeFilter::GetVectors | ( |  | ) |

| Set / get the object from which to extract vector information.

void vtkMergeFilter::SetNormals | ( | vtkDataSet * |  | ) |

| Set / get the object from which to extract normal information.

vtkDataSet* vtkMergeFilter::GetNormals | ( |  | ) |

| Set / get the object from which to extract normal information.

void vtkMergeFilter::SetTCoords | ( | vtkDataSet * |  | ) |

| Set / get the object from which to extract texture coordinates information.

vtkDataSet* vtkMergeFilter::GetTCoords | ( |  | ) |

| Set / get the object from which to extract texture coordinates information.

void vtkMergeFilter::SetTensors | ( | vtkDataSet * |  | ) |

| Set / get the object from which to extract tensor data.

vtkDataSet* vtkMergeFilter::GetTensors | ( |  | ) |

| Set / get the object from which to extract tensor data.

void vtkMergeFilter::AddField | ( | const char * | name,
|  | vtkDataSet * | input
| ) |

| Set the object from which to extract a field and the name of the field

void vtkMergeFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkMergeFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | data | ) | `[protected, virtual]`

| By default copy the output update extent to the input Reimplemented from vtkDataSetToDataSetFilter.

## Member Data Documentation

vtkFieldList* vtkMergeFilter::FieldList`[protected]`

| Definition at line 110 of file vtkMergeFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkMergeFilter.h